com.informix.jdbcx

## Interface IfxReUsableConnection

All Known Implementing Classes:
  IfxSqliConnReUsableConnection

    public interface IfxReUsableConnection

### Method Summary

Methods
`void` `close()` Close the database and reopen it.
`void` `hardClose()` This is close on the connection in case of error.

### Method Detail

#### close

    void close()
               throws java.sql.SQLException

Close the database and reopen it. On the close if there is an exception throw the exception back to the user. After we close the database, if there is an exception on the open we make an assumption that there is a problem, so we ask the connection pool manager to remove this connection from the pool.

Throws:
  `java.sql.SQLException`

#### hardClose

    void hardClose()
                   throws java.sql.SQLException

This is close on the connection in case of error. Call the close method of sqli to do all the cleanup. If there is an exception it will be thrown above and hopefully the connection manager will take care of the exception. Most probably the connection will be chucked out from the pool when this method hardClose is called.

Throws:
  `java.sql.SQLException`